package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[实体归属]
 */
@Component("ionicdemo_CodeList19CodeList")
public class CodeList19CodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_CodeList19");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("SRFDA");
		item0.setId("SRFDA");
		item0.setText("系统");
		item0.setLabel("系统");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("SRFDA",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("APPLICATION");
		item1.setId("APPLICATION");
		item1.setText("应用");
		item1.setLabel("应用");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("APPLICATION",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("USER");
		item2.setId("USER");
		item2.setText("用户");
		item2.setLabel("用户");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("USER",item2);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}